Bug 116636 - [Mac] accessibility/document-attributes.html fails
Summary: [Mac] accessibility/document-attributes.html fails
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Accessibility (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar, LayoutTestFailure
Depends on:
Blocks:
 
Reported: 2013-05-22 14:37 PDT by Ryosuke Niwa
Modified: 2015-08-25 12:15 PDT (History)
11 users (show)

See Also:


Attachments
patch (6.41 KB, patch)
2015-08-25 10:42 PDT, Nan Wang
no flags Details | Formatted Diff | Diff
patch (6.38 KB, patch)
2015-08-25 11:02 PDT, Nan Wang
no flags Details | Formatted Diff | Diff
patch (6.38 KB, patch)
2015-08-25 11:46 PDT, Nan Wang
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ryosuke Niwa 2013-05-22 14:37:05 PDT
accessibility/document-attributes.html has been failing probably ever since the test was added.
Comment 1 Radar WebKit Bug Importer 2014-02-07 11:31:56 PST
<rdar://problem/16014080>
Comment 2 Nan Wang 2015-08-25 10:42:18 PDT
Created attachment 259859 [details]
patch
Comment 3 chris fleizach 2015-08-25 10:57:13 PDT
Comment on attachment 259859 [details]
patch

View in context: https://bugs.webkit.org/attachment.cgi?id=259859&action=review

> Source/WebCore/accessibility/mac/WebAccessibilityObjectWrapperMac.mm:3061
> +        if (document)

this can be
if (Document *doc = m_object->document())
    return ...

> Source/WebCore/accessibility/mac/WebAccessibilityObjectWrapperMac.mm:3069
> +            return document->encoding();

ditto
Comment 4 Nan Wang 2015-08-25 11:02:16 PDT
Created attachment 259862 [details]
patch
Comment 5 chris fleizach 2015-08-25 11:38:49 PDT
Comment on attachment 259862 [details]
patch

View in context: https://bugs.webkit.org/attachment.cgi?id=259862&action=review

> Source/WebCore/accessibility/mac/WebAccessibilityObjectWrapperMac.mm:3060
> +        if (Document *document = m_object->document())

* on wrong side

> Source/WebCore/accessibility/mac/WebAccessibilityObjectWrapperMac.mm:3066
> +        if (Document *document = m_object->document())

* on wrong side
Comment 6 Nan Wang 2015-08-25 11:46:48 PDT
Created attachment 259865 [details]
patch
Comment 7 WebKit Commit Bot 2015-08-25 12:15:11 PDT
Comment on attachment 259865 [details]
patch

Clearing flags on attachment: 259865

Committed r188930: <http://trac.webkit.org/changeset/188930>
Comment 8 WebKit Commit Bot 2015-08-25 12:15:17 PDT
All reviewed patches have been landed.  Closing bug.